"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const zeebe_exception_filter_1 = require("./zeebe.exception.filter");
const microservices_1 = require("@nestjs/microservices");
const common_1 = require("@nestjs/common");
exports.ZeebeWorker = (type, options) => {
    return (...args) => {
        let messagePattern = microservices_1.MessagePattern({ type, options: options || null });
        let exceptionFilter = common_1.UseFilters(zeebe_exception_filter_1.ZeebeExceptionFilter);
        if (typeof args[1] === "string") {
            exceptionFilter(args[0], args[1], args[2]);
        }
        messagePattern(...args);
    };
};
